#! /bin/sh
#
# Start nsg daemon
#

pid=0

start() {
    # set NPROC_RCFLAG_CREATE_NENT
    echo 1 >/proc/sys/nsg/.rc_flags
    # set NPROC_RCFLAG_DO_BOOT
    echo 2 >/proc/sys/nsg/.rc_flags
    
    /bin/vtysh -b
    
    # set NPROC_RCFLAG_DONE_BOOT, must be followed after NPROC_RCFLAG_DO_BOOT
    echo 4 >/proc/sys/nsg/.rc_flags
    
    # delete any NPROC_RCFLAG_...
    echo 0 >/proc/sys/nsg/.rc_flags
}

stop() {
    return 0
}

reload() {
    return 0
}

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart)
	stop
	start
	;;
  reload)
  	reload
	;;
  *)
    	echo "Usage: $0 {start|stop|restart|reload}"
	exit 1
esac

exit $?

